### Hierarchy

- Select
  - TimePickerSelect

### Implements

- ControlValueAccessor
- AfterViewInit

## Index

### Inputs

- ariaLabel
- disabled
- display
- helperText
- id
- invalid
- invalidText
- label
- size
- skeleton
- theme
- warn
- warnText
- value

### Outputs

- valueChange

### Properties

- _value
- ariaLabel
- disabled
- display
- helperText
- id
- invalid
- invalidText
- label
- select
- size
- skeleton
- theme
- valueChange
- warn
- warnText
- selectCount

### Accessors

- value

### Methods

- focusOut
- isTemplate
- ngAfterViewInit
- onChange
- onChangeHandler
- onTouchedHandler
- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue

## Properties

### Protected _value

_value: any

- Defined in src/select/select.component.ts:206

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/select/select.component.ts:188

### disabled

@Input()
disabled: boolean = false

- Defined in src/select/select.component.ts:174

### display

@Input()
display: "inline" | "default" = "default"

- Defined in src/select/select.component.ts:142

### helperText

@Input()
helperText: string | TemplateRef<any>

- Defined in src/select/select.component.ts:150

### id

@Input()
id: string = `select-${Select.selectCount++}`

- Defined in src/select/select.component.ts:166

### invalid

@Input()
invalid: boolean = false

- Defined in src/select/select.component.ts:182

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/select/select.component.ts:154

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/select/select.component.ts:146

### select

@ViewChild({"selector":"select","opts":"{ static: false }"})
select: ElementRef

- Defined in src/select/select.component.ts:193

### size

@Input()
size: "sm" | "md" | "xl" = "md"

- Defined in src/select/select.component.ts:170

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/select/select.component.ts:178

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/select/select.component.ts:187

### valueChange

@Output()
valueChange: EventEmitter<Object> = new EventEmitter()

- Defined in src/select/select.component.ts:190

### warn

@Input()
warn: boolean = false

- Defined in src/select/select.component.ts:158

### warnText

@Input()
warnText: string | TemplateRef<any>

- Defined in src/select/select.component.ts:162

### Static selectCount

selectCount: number = 0

- Defined in src/select/select.component.ts:137

## Accessors

### value

@Input()
value:

- Defined in src/select/select.component.ts:195
- Defined in src/select/select.component.ts:202

## Methods

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- - Defined in src/select/select.component.ts:261

  #### Returns void

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/select/select.component.ts:265

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/select/select.component.ts:208

  #### Returns void

### onChange

- onChange(event: any): void

- - Defined in src/select/select.component.ts:251

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onChangeHandler

- onChangeHandler(_: any): void

- - Defined in src/select/select.component.ts:272

  #### Parameters

  - ##### _: any

  #### Returns void

### Protected onTouchedHandler

- onTouchedHandler(): void

- - Defined in src/select/select.component.ts:273

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/select/select.component.ts:229

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/select/select.component.ts:236

  #### Parameters

  - ##### fn: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/select/select.component.ts:243

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### writeValue

- writeValue(obj: any): void

- - Defined in src/select/select.component.ts:222

  #### Parameters

  - ##### obj: any

  #### Returns void

Generated using TypeDoc